function [t,y,par]=gyimeu(F,J,par,t0,t1,x0,h);
% Implicit Euler modszer fix lepeskozzel
t=t0;
ta=t0;
y=x0;
ya= x0;
[k,l]=size(y);
n=max(k,l);
I=eye(n);

while ta+h<=t1+1.e-13
    ta = ta + h; 
   [s1,par] = feval(F, ta, ya, par)   ;
   [s2]= feval(J, ta, ya);

         
t=[t;ta];

ya=ya+h*inv(I-h*s2)*s1;
y=[y;ya];
end
