function [t,y,par]=gyrk(F,par,t0,t1,x0,h);
% Negyedrendu Runge-Kutta modszer fix lepeskozzel
t=t0;
ta=t0;
y=x0.';
ya= x0;
while ta+h<=t1
      [s1,par] = feval(F, ta, ya,par)   ;
      [s2,par] = feval(F, ta+h/2, ya+h*s1/2, par)   ;
      [s3,par] = feval(F, ta+h/2, ya+h*s2/2, par)   ;
      [s4,par] = feval(F, ta+h, ya+h*s3, par)   ;
      ta = ta + h;
t=[t;ta];
ya=ya+h*(s1/6+s2/3+s3/3+s4/6);
y=[y;ya.'];
end